Overview | Modules | Class Hierarchy | Classes | Members

Static Public Member Functions
tlp::BooleanType Class Reference

`#include <PropertyTypes.h>`

Inheritance diagram for tlp::BooleanType:
[legend]
Collaboration diagram for tlp::BooleanType:
[legend]

List of all members.

## Static Public Member Functions

- static RealType undefinedValue ()
- static RealType defaultValue ()
- static void write (std::ostream &, const RealType &)
- static bool read (std::istream &, RealType &)

## Member Function Documentation

static RealType tlp::BooleanType::defaultValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< bool >.

static bool tlp::BooleanType::read | ( | std::istream & | ,
|  | RealType & |
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< bool >.

static RealType tlp::BooleanType::undefinedValue | ( |  | ) | `[static]`

Reimplemented from tlp::TypeInterface< bool >.

static void tlp::BooleanType::write | ( | std::ostream & | ,
|  | const RealType & |
| ) |  | `[static]`

Reimplemented from tlp::TypeInterface< bool >.

Tulip Software by LaBRI Visualization Team 2001 - 2012